2.12.1.0 Error: The application has failed to start because the side by side configuration is incorrect

Please let our ADS show!

This sites offers only FREE software and it's supported by a few advertisement boxes (no intrusive popups).
Please:

  • disable your AdBlocker by adding CoolSoft website to whitelist
  • give the proper cookie consent
  • enable JavaScript for this website

This seconds wait is to let you update your browser configuration...

Ok, I've done the required changes... now show me your content!
!!! Please enable JavaScript !!!
Posts: 1
Joined: 7 Ott 2021 - 18:45
2.12.1.0 Error: The application has failed to start because the side by side configuration is incorrect

So after I updated virtualmidisynth to version 2.12.1.0 it just stopped working, displaying this error message if i try to run it. IS this a problem on my end or an issue with the program?

EDIT: Admin changed original thread title (was: "2.12.1.0 Doesn't work for me?")

Attachments (Only registered users)
errorvms.png
Posts: 1816
Joined: 25 Mar 2012 - 01:19
Re: 2.12.1.0 Doesn't work for me?

This error is usually due to a missing runtime library on your side, or a corruption on the WinSxS folder.

Please check that your system is up-to-date (all Windows Updates were installed, especially the cumulative updates).

Refer to this post on Microsoft forums.
Please note that VMS does not require the runtime files specified at point 1, but if they're garbled/missing on your system it could lead to unpredictable results, like this error.

Posts: 98
Joined: 25 Set 2013 - 16:38
Re: 2.12.1.0 Doesn't work for me?

Hi,

I have met the same error on my Win 7 32-bit. It has nothing to do with corrupted SxS folder or runtime libraries. The problem is your modified embedded manifest file that it seems cannot be interpreted properly by some Win7 versions.

I could fix the problem by changing your manifest. I have attached the fixed exe that works for me.

ADMIN NOTE: version 2.12.2 released, test binaries has been removed...

Posts: 1816
Joined: 25 Mar 2012 - 01:19
Re: 2.12.1.0 Doesn't work for me?
falcosoft wrote:
I could fix the problem by changing your manifest. I have attached the fixed exe that works for me.

Thanks for your investigation 😉.

I've setup an x86 virtual machine to test it and I'm able to reproduce it on my side but... the same SxS error is raised with your patched exe.

It seems that something is missing in comctl32.dll linking.
Still looking at it 🙄.

Posts: 98
Joined: 25 Set 2013 - 16:38
Re: 2.12.1.0 Doesn't work for me?
coolsoft wrote:
falcosoft wrote:
I could fix the problem by changing your manifest. I have attached the fixed exe that works for me.

Thanks for your investigation 😉.

I've setup an x86 virtual machine to test it and I'm able to reproduce it on my side but... the same SxS error is raised with your patched exe.

It seems that something is missing in comctl32.dll linking.
Still looking at it 🙄.

Hi,
and what happens if you remove the manifest fully? I could start the executable also without any manifest but I got errors when tried to open dialog boxes (Configuartion, Mixer etc.)

@Edit:

I could also reproduce the problem by trying to execute my 'modified' version on the same machine but from a different folder! But I still strongly think the problem is manifest related. Here is another modified version with a minimal manifest that is able to run from any folders (at least on my test PC)

ADMIN NOTE: version 2.12.2 released, test binaries has been removed...

Posts: 1816
Joined: 25 Mar 2012 - 01:19
Re: 2.12.1.0 Doesn't work for me?

Yes, you're right about manifest being the issue (thanks for pointing me straight to the right direction 😉).

I've fixed it (at least I hope...) by:

  • removing Windows Vista as supported OS in the manifest
  • fixing the DpiAware section to satisfy both Win7 and Win10+ requirements

Could you please check it on your side and confirm that it works (in VMS installation folder)?

ADMIN NOTE: version 2.12.2 released, test binaries has been removed...

Posts: 98
Joined: 25 Set 2013 - 16:38
Re: 2.12.1.0 Doesn't work for me?

Yes, this version is working well also on my tested operating systems (Win 7 x86, Win 10 x64).

Posts: 1816
Joined: 25 Mar 2012 - 01:19
Re: 2.12.1.0 Doesn't work for me?

Just released version 2.12.2 with an updated manifest.

Thanks @Bluelight for reporting the error and @falcosoft for help in finding what's wrong 😉